> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.mangopay.com/api-reference/dispute-settlement/create-bank-wire-payin-to-repudiation-wallet/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mangopay.com/_mcp/server. # Create a Bank Wire PayIn to the Repudiation Wallet POST https://api.sandbox.mangopay.com/v2.01/{ClientId}/clients/payins/bankwire/direct Content-Type: application/json **Warning – Ensure you use the correct reference and bank account** The direct bank wire relies on independent action from the platform. You must use the `WireReference` and wire the funds to the bank account identified by the `IBAN` and `BIC`.\ Otherwise, the crediting of your Repudiation Wallet may be delayed or unsuccessful. Create a Bank Wire PayIn to the Repudiation Wallet This endpoint allows the platform to make a Direct Bank Wire PayIn, instead of a Settlement Transfer, to their Repudiation Wallet in order to settle the negative balance due to a `LOST` dispute. The object expires 1 month after creation if no funds are received. Reference: https://docs.mangopay.com/api-reference/dispute-settlement/create-bank-wire-payin-to-repudiation-wallet ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. If your platform is using a [proxy](/guides/sca/proxy-management) to take SCA-triggering action on behalf of users, you also need to integrate [mTLS authentication](/guides/sca/platform) and use the `api-mtls` base URL. ## Servers - `https://api.sandbox.mangopay.com` (Sandbox, default) - `https://api.mangopay.com` (Production) - `https://api-mtls.sandbox.mangopay.com` (mTLS Sandbox) - `https://api-mtls.mangopay.com` (mTLS Production) ## Request ### Path parameters - `ClientId` (string, required) — Platform's API account identifier, associated with the API key. ### Body (application/json) This endpoint expects a CreateABankWirePayInToTheRepudiationWalletRequest. - `CreditedWalletId` (string, required) — The unique identifier of the credited wallet. In the case of the direct bank wire to the Repudiation Wallet, this value has the format `CREDIT_CCY` where `CCY` is the currency of the Client Wallet to be credited (e.g., `CREDIT_EUR`). - `DeclaredDebitedFunds` (CreateABankWirePayInToTheRepudiationWalletRequestDeclaredDebitedFunds, required) — Information about the declared funds to be wired by the platform to the returned bank account. ## Response ### 200 Success - `Id` (string, optional) — Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details) The unique identifier of the object. - `Tag` (string, optional) — Max. length: 255 characters Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`. - `CreationDate` (integer, optional) — Unix timestamp (UTC) of the date and time the object was created. - `ResultCode` (string, optional) — The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes. - `ResultMessage` (string, optional) — The explanation of the result code. - `AuthorId` (string, optional) — The unique identifier of the user at the source of the transaction. In the case of the direct bank wire to the Repudiation Wallet, the `AuthorId` is automatically set to the platform's `ClientId`. - `CreditedUserId` (string, optional) — The unique identifier of the user whose wallet is credited. In the case of the direct bank wire to the Repudiation Wallet, the `CreditedUserId` is automatically set to the platform's `ClientId`. - `DebitedFunds` (CreateABankWirePayInToTheRepudiationWalletResponseDebitedFunds, optional) — Information about the debited funds. - `CreditedFunds` (CreateABankWirePayInToTheRepudiationWalletResponseCreditedFunds, optional) — Information about the credited funds (`CreditedFunds` = `DebitedFunds` - `Fees`). - `Fees` (CreateABankWirePayInToTheRepudiationWalletResponseFees, optional) — Information about the fees. - `Status` (string, optional) — **Returned values:** `CREATED`, `SUCCEEDED`, `FAILED` The status of the transaction. - `ExecutionDate` (integer, optional) — Unix timestamp (UTC) of the date and time the status changed to `SUCCEEDED`, indicating that the transaction occurred. The statuses `CREATED` and `FAILED` return an `ExecutionDate` of `null`. - `Type` (string, optional) — **Returned values:** `PAYIN`, `TRANSFER`, `CONVERSION`, `PAYOUT` The type of the transaction. - `Nature` (string, optional) — **Returned values:** `REGULAR`, `REPUDIATION`, `REFUND`, `SETTLEMENT` The nature of the transaction, providing more information about the context in which the transaction occurred: - `REGULAR` – Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow. - `REPUDIATION` – Automatic withdrawal of funds from the platform's repudiation wallet as part of the dispute process (when the user has requested a chargeback). - `REFUND` – Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay). - `SETTLEMENT` – Transfer made to the repudiation wallet by the platform to settle a lost dispute. - `CreditedWalletId` (string, optional) — The unique identifier of the credited wallet. In the case of the direct bank wire to the Repudiation Wallet, this value has the format `CREDIT_CCY` where `CCY` is the currency of the Client Wallet to be credited (e.g., `CREDIT_EUR`). - `DebitedWalletId` (string, optional) — The unique identifier of the debited wallet. In the case of a pay-in, this value is always `null` since there is no debited wallet. - `PaymentType` (string, optional) — **Returned values:** `BANK_WIRE` The payment type of the pay-in. - `ExecutionType` (string, optional) — **Returned values:** `DIRECT` The execution type of the pay-in. - `DeclaredDebitedFunds` (CreateABankWirePayInToTheRepudiationWalletResponseDeclaredDebitedFunds, optional) — Information about the declared debited funds. - `DeclaredFees` (CreateABankWirePayInToTheRepudiationWalletResponseDeclaredFees, optional) — Information about the declared fees. - `WireReference` (string, optional) — Max. length: 255 characters The reference which the end user must provide when making the bank wire. The `WireReference` is used to reconcile the funds that arrive on the bank account with the `DeclaredDebitedFunds` in the Direct Bank Wire PayIn object. **Caution:** This reference is specific to each payment and must be retrieved dynamically. - `BankAccount` (CreateABankWirePayInToTheRepudiationWalletResponseBankAccount, optional) — Information about the bank account to which the bank wire must be made by the end user. **Caution:** Do not hardcode the returned values. Mangopay may change the underlying bank details without prior notice. ## Types ### CreateABankWirePayInToTheRepudiationWalletRequestDeclaredDebitedFunds Information about the declared funds to be wired by the platform to the returned bank account. - `Currency` (string, required) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, required) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### CreateABankWirePayInToTheRepudiationWalletResponseDebitedFunds Information about the debited funds. - `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### CreateABankWirePayInToTheRepudiationWalletResponseCreditedFunds Information about the credited funds (`CreditedFunds` = `DebitedFunds` - `Fees`). - `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### CreateABankWirePayInToTheRepudiationWalletResponseFees Information about the fees. - `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### CreateABankWirePayInToTheRepudiationWalletResponseDeclaredDebitedFunds Information about the declared debited funds. - `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### CreateABankWirePayInToTheRepudiationWalletResponseDeclaredFees Information about the declared fees. - `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### CreateABankWirePayInToTheRepudiationWalletResponseBankAccount Information about the bank account to which the bank wire must be made by the end user. **Caution:** Do not hardcode the returned values. Mangopay may change the underlying bank details without prior notice. - `OwnerAddress` (Address, optional) — The postal address. - `Type` (string, optional) — **Returned values:** `IBAN`, `US`, `CA`, `GB`, `OTHER` The type of the bank account. - `OwnerName` (string, optional) — The full name of the owner of the bank account. - `IBAN` (string, optional) — The IBAN (international bank account number) for the bank account. - `BIC` (string, optional) — The BIC (international identifier of the bank) for the bank account. ### Address The postal address. - `AddressLine1` (string, optional) — The first line of the address. - `AddressLine2` (string, optional) — The second line of the address. - `City` (string, optional) — The city of the address. - `Region` (string, optional) — Required if `Country` is US, CA, or MX. The region of the address. - `PostalCode` (string, optional) — The postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces. - `Country` (string, optional) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) The country of the address. ## Examples **Request** ```json { "body": { "CreditedWalletId": "CREDIT_EUR", "DeclaredDebitedFunds": { "Amount": 1000, "Currency": "EUR" } } } ``` **Response** ```json { "Id": "163311508", "Tag": null, "CreationDate": 1677579888, "ResultCode": null, "ResultMessage": null, "AuthorId": "ClientId", "CreditedUserId": "ClientId", "DebitedFunds": { "Currency": "XXX", "Amount": 0 }, "CreditedFunds": { "Currency": "XXX", "Amount": 0 }, "Fees": { "Currency": "XXX", "Amount": 0 }, "Status": "CREATED", "ExecutionDate": null, "Type": "PAYIN", "Nature": "REGULAR", "CreditedWalletId": "CREDIT_EUR", "DebitedWalletId": null, "PaymentType": "BANK_WIRE", "ExecutionType": "DIRECT", "DeclaredDebitedFunds": { "Currency": "EUR", "Amount": 1000 }, "DeclaredFees": { "Currency": "EUR", "Amount": 0 }, "WireReference": "MGx5nyoxdi", "BankAccount": { "OwnerAddress": { "AddressLine1": "2 Avenue Amélie", "AddressLine2": null, "City": "Luxembourg", "Region": null, "PostalCode": "L-1125", "Country": "LU" }, "Type": "IBAN", "OwnerName": "MANGOPAY SA", "IBAN": "FR7630056009271234567890182", "BIC": "CCFRFRPPXXX" } } ``` **SDK Code** ```java import com.google.gson.Gson; import com.google.gson.GsonBuilder; import com.mangopay.MangoPayApi; import com.mangopay.core.Money; import com.mangopay.core.enumerations.CurrencyIso; import com.mangopay.entities.ClientBankWireDirect; import com.mangopay.entities.PayIn; public class CreateDirectBankWirePayInToRepudiationWallet { public static void main(String[] args) throws Exception { MangoPayApi mangopay = new MangoPayApi(); mangopay.getConfig().setClientId("your-client-id"); mangopay.getConfig().setClientPassword("your-api-key"); ClientBankWireDirect bankwireDirectPayIn = new ClientBankWireDirect("CREDIT_EUR", new Money(CurrencyIso.EUR, 100)); PayIn createPayIn = mangopay.getClientApi().createBankWireDirect(bankwireDirectPayIn); Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create(); String prettyJson = prettyPrint.toJson(createPayIn); System.out.println(prettyJson); } } ```